

class CaseRecord 
  attr_accessor :client, :clinic_id
  attr_accessor :audits, :visits

  def initialize
    super
    @audits = []
    @visits = []
  end

  def accepts_more_audits?
    return true if @audits.empty?
    return false if @audits.last.is_nominal?
    true
  end
end

class Audit 
  attr_accessor :auditor, :variance

  def is_nominal?
    self.variance == 'nominal'
  end
end

class Visit 
  attr_accessor :diagnosis, :charges, :comments
end

